%global         gem_name ruby-shadow
Name:                rubygem-%{gem_name}
Version:             2.5.0
Release:             1
Summary:             Ruby shadow password module
License:             Public Domain
URL:                 https://github.com/apalmblad/ruby-shadow
Source0:             http://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:             https://raw.githubusercontent.com/apalmblad/ruby-shadow/master/test/basic_test.rb
Patch0:              ruby-shadow-2.5.0-cflags.patch
BuildRequires:       gcc ruby(release) rubygems-devel ruby-devel rubygem(minitest)
BuildRequires:       rubygem(test-unit)
Obsoletes:           ruby-shadow < 1.4.1-36
Provides:            ruby-shadow = %{version}-%{release}
Provides:            ruby(shadow) = %{version}
%description
This module provides access to shadow passwords on Linux and Solaris.

%package        doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description    doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%patch0 -p0
cp %{SOURCE1} .

%build
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
find %{buildroot}%{gem_dir}/ -name \*.so -delete
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/
rm -rf %{buildroot}%{gem_instdir}/ext/

%check
cp %{SOURCE1} .%{gem_instdir}
pushd .%{gem_instdir}
if [ $(id -u) = 0 ]; then
    ruby -I. -e 'Dir.glob "*_test.rb", &method(:require)'
else
    ruby -I. -e 'Dir.glob "*_test.rb", &method(:require)' || :
fi
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%{gem_instdir}/%{gem_name}.gemspec
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/*
%doc %{gem_instdir}/HISTORY
%doc %{gem_instdir}/README
%doc %{gem_instdir}/README.euc

%changelog
* Tue Jul 28 2020 shaoqiang kang <kangshaoqiang1@huawei.com> - 2.5.0-1
- Package init
